#!/bin/sh

HOST_NAME=abc_driver_ra

STR_SYSTEM_NAME=`cat /etc/issue |awk '{print $1}'`
STR_ARCH=`arch`

if [ "$STR_SYSTEM_NAME" = UnionTech ];then
	if [ "$STR_ARCH" = loongarch64 ]; then
		BROWSER_NAME=lbrowser
	else
		BROWSER_NAME=browser
	fi
elif [ "$STR_SYSTEM_NAME" = Kylin ];then
	BROWSER_NAME=browser360
fi

for name in $(ls /home)
do
        TARGET_DIR="/home/$name/.config/${BROWSER_NAME}/NativeMessagingHosts"
        #echo $TARGET_DIR
	if [ -d $TARGET_DIR ];then
        	cp $HOST_NAME.json $TARGET_DIR
        	chmod 777 "$TARGET_DIR/$HOST_NAME.json"
	fi
done;


